<?php

class ProductosDato
{
    private $conexion;

    public function __construct($conexion)
    {
        $this->conexion = $conexion;
    }

    public function listarProductos()
    {
        $sql =
        "SELECT * FROM productos
        ORDER BY idProducto DESC";

        return mysqli_query(
            $this->conexion,
            $sql
        );
    }

    public function buscarProducto($texto)
    {
        $sql =
        "SELECT * FROM productos
        WHERE nombre
        LIKE '%$texto%'";

        return mysqli_query(
            $this->conexion,
            $sql
        );
    }

    public function obtenerProducto($id)
    {
        $sql =
        "SELECT * FROM productos
        WHERE idProducto=$id";

        return mysqli_query(
            $this->conexion,
            $sql
        );
    }

    public function eliminarProducto($id)
    {
        $sql =
        "DELETE FROM productos
        WHERE idProducto=$id";

        return mysqli_query(
            $this->conexion,
            $sql
        );
    }
}

?>